Subject: [ippm] Fwd: New Version Notification for draft-trammell-ippm-hybrid-ps-00.txt

From: Brian Trammell <[email-masked]>
Date: Fri, 12 Oct 2012 10:38:19 +0200

Greetings, all,

I've just posted a very short draft on hybrid measurement, more a meta-requirements list and motivation than anything else, as a starting point for discussion at the Atlanta meeting.

Best regards,

Brian

Begin forwarded message:

> From: [email-masked]
> Subject: New Version Notification for draft-trammell-ippm-hybrid-ps-00.txt
> Date: October 12, 2012 10:31:22 AM GMT+02:00
> To: [email-masked]
> 
> 
> A new version of I-D, draft-trammell-ippm-hybrid-ps-00.txt
> has been successfully submitted by Brian Trammell and posted to the
> IETF repository.
> 
> Filename:	 draft-trammell-ippm-hybrid-ps
> Revision:	 00
> Title:		 Hybrid Measurement using IPPM Metrics
> Creation date:	 2012-10-12
> WG ID:		 Individual Submission
> Number of pages: 4
> URL:             http://www.ietf.org/internet-drafts/draft-trammell-ippm-hybrid-ps-00.txt
> Status:          http://datatracker.ietf.org/doc/draft-trammell-ippm-hybrid-ps
> Htmlized:        http://tools.ietf.org/html/draft-trammell-ippm-hybrid-ps-00
> 
> 
> Abstract:
>   Hybrid measurement is the combination of metrics derived from passive
>   and active measurement to produce a measurement result.  This
>   document discusses use cases for hybrid measurement using metrics
>   defined within the IPPM framework
> 
> 
> 
> 
> The IETF Secretariat

---

From: Al Morton <[email-masked]>
Date: Sat, 13 Oct 2012 09:43:50 -0400

At 04:38 AM 10/12/2012, Brian Trammell wrote:
>I've just posted a very short draft on hybrid measurement, more a 
>meta-requirements list and motivation than anything else, as a 
>starting point for discussion at the Atlanta meeting.

Hi Brian,

I like the idea of specifying a framework for passive measurement
in the context of hybrid passive-active, because the comparisons
between the different techniques are quite useful. Your effort is
well-timed too, with both active and passive measurement requirements
appearing in the first draft of lmap requirements:
http://tools.ietf.org/html/draft-schulzrinne-lmap-requirements-00
With this obvious synergy, I look forward to discussing this in
Atlanta.

I noted one point to consider as you develop the specification:

>  The proposed specification entails:
>
>...
>
>    o  Definition of methods for spatial and temporal composition of
>       active and passive metrics together allowing for estimated
>       uncertainty.

One of IPPM's earlier projects updated and expanded RFC 2330 section 9
http://tools.ietf.org/html/rfc2330#section-9
and defined three forms of metric composition and aggregation in RFC 5835:
http://tools.ietf.org/html/rfc5835#section-5

I think the definitions you seek above are what Steven and I called
spatial and temporal aggregation.  These are the two aspects that
we didn't complete for active measurements (IPPM has a spec for
spatial composition of active measurements,
http://tools.ietf.org/html/rfc6049 , where we mentioned passive
measurements at several appropriate points in a low-key overrun of
IPPM's active-only charter...).

Just pointing out the past work that might help the new effort!

regards,
Al

---

From: Brian Trammell <[email-masked]>
Date: Mon, 15 Oct 2012 12:16:35 +0200

Hi, Al, all,

Thanks for your comments; comments inline...

> With this obvious synergy, I look forward to discussing this in

Yep... I specifically hope this work will prove useful in the context of the LMAP effort, by granting more flexibility to combine measurements from different sources.

> spatial and temporal aggregation.

Indeed; well, I think this covers half of it. In the baseline-comparison case, temporal aggregation could be applied to the (passive) baseline in order to improve the fidelity of the baseline while reducing storage requirements. Then there's the comparison step I suppose you could also model as "subtractive aggregation"; I still don't really have a firm grasp on how these two operations work together.

You're right, though, in that what I really mean with this point is aggregation as defined in IPPM, not composition; will change in the next rev. 

>  These are the two aspects that

Many thanks; I'd remembered the spatial composition work (and, IIRC, some initial work on temporal composition), but hadn't (re-) read yet to see what applies where.

Best regards,

Brian